%{CPP_TEMPLATE}

#include "%{APPNAMELC}.h"

#include <tqlabel.h>

#include <tdemainwindow.h>
#include <tdelocale.h>

%{APPNAME}::%{APPNAME}()
    : TDEMainWindow( 0, "%{APPNAME}" )
{
    m_mainClass = new MainClass();
}

%{APPNAME}::~%{APPNAME}()
{
    if (m_mainClass) delete m_mainClass;
}

#include "%{APPNAMELC}.moc"
